Subject: RE: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Drew Adams <[email-masked]>
Date: Wed, 14 Oct 2020 10:03:19 -0700 (PDT)

> tags 43702 fixed
> close 43702 28.0.50
> thanks
> 
> > I haven't noticed any problem with just using
> > the latest match data, but I haven't tested much.
> 
> You are right - there are no problems with using the latest match data.
> But using real-match-data causes problems - sometimes real-match-data
> contains nils at the end of the list, e.g. (1 2 3 4 <*buffer*> nil nil
> nil nil)
> 
> So I pushed the patch that uses the latest match data.

Good to know.  I wasn't sure - I was on the verge of
thinking there must be some reason why we need to pass
`real-match-data' here.